Announcement Announcement Module
Collapse
No announcement yet.
Jaxb2 context and marshaller on JDK1.5 Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Jaxb2 context and marshaller on JDK1.5

    Hi all,

    I developed a simple webservice with a jaxb2 marshaller (initially using JDK 1.6) and every went smooth and simple
    Then a new requirement popped up that forces us on JDK1.5, I changed my IDE to start using JDK 1.5 recompiled and rerun my tomcat instance. I got a lot of classnotFound thing (logically) and added some maven dependencies (java.xml.bind, com.sun.xml.bind and axis2 libraries for soap)

    My app compiles just fine and my tomcat also start without errors, but as soon as I want to send a object and marshal it (using the webservicesTemplate) I get the following error:

    Code:
    javax.xml.bind.JAXBException: class usermanagement.GetUserRequest nor any of its super class is known to this context.
    This is clearly referring to the jaxb2 context, but this has not been changed. I generated the mentioned classes (GetUserRequest) using a maven jaxb2:xjc plugin and it works fine when running on JDK1.6

    What am I forgetting?

    Thanks for the help,

    Jeroen
Working...
X